SDL_GetDesktopDisplayMode(3)

NAME
SDL_GetDesktopDisplayMode - Get information about the desktop's display mode.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

const SDL_DisplayMode* SDL_GetDesktopDisplayMode(SDL_DisplayID displayID);

DESCRIPTION
There's a difference between this function and SDL_GetCurrentDisplayMode () when SDL runs fullscreen and has changed the resolution. In that case this function will return the previous native display mode, and not the current display mode.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query

RETURN VALUE
Returns a pointer to the desktop display mode or NULL on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetCurrentDisplayMode(3), SDL_GetDisplays(3)